Personal Helpdesk system is available right inside your Outlook unlike any other stand alone application and web based helpdesk software.

The following highlights some of the main pre-requisite for running Personal Helpdesk System.

Windows Version Windows 10, Windows 8.1, Windows 8, Windows 7, Windows Vista (both 32bit and 64bit are supported) and all server based Windows 2012 and above

NOTE: Windows XP is not supported.
Microsoft Office Version

Microsoft Word, Excel, PowerPoint, Outlook installed.

NOTE: If you are using Office 2007, you need to install the ‘Microsoft Save as PDF or XPS Add-in‘ for 2007 Microsoft Office programs installed. You can download it for free here.

MS Exchange Server

All version of Microsoft Exchange Server (including Exchange running in a hosted environment such as Office 365 Exchange Online)

Personal Helpdesk system does not install any software on your Microsoft Exchange server and therefore functions with any version of Exchange. This approach makes management and administration of the product very simple, and allows you to plan your Exchange product upgrades without additional concern for Personal Helpdesk product support.

Microsoft .NET Framework

The .NET framework 4.5 or higher must be installed and activated on your system before you can install and use AssistMyTeam Software. In newer windows, such as Windows 10, 8.1 and 8, .Net framework 4.5 is available as part of the OS, and is installed by default. For Windows 7 and Vista, you need to download the .NET framework 4.5 redistributable from Microsoft website and install it manually. .NET Framework 4.5 is not supported (cannot be installed) on Windows XP.

For server based windows, .NET framework 4.5 is installed part of Windows Server 2012 and higher versions. If you are using older versions such as Windows Server 2008 R2, you would need to download and install the 4.5 framework.

NOTE that, even if you have  older versions of .NET Framework 2 or 3.5, you still need to enable or install .NET Framework 4.5 on your system for our product to work. Multiple versions of the .NET Framework can be loaded on a single computer at the same time. This means that you do not have to uninstall previous versions of. NET frameworks in order to install a later version.

  • For Windows 7 and Vista, Windows Server 2008 R2, you can download the .NET framework 4.5 redistributable here https://www.microsoft.com/en-in/download/details.aspx?id=30653
  • For Windows 8 and higher versions (8.1, 10), the .NET framework 4.5 is already built-in with the OS and installed/enabled by default. However, it may not be enabled by default. To enable it, follow the steps below:STEP 1) You will need to have an Administrator account in Windows 8/8.1/10 to turn Windows Features on or off. From Metro/Start Menu, right-click anywhere in the background and a tab appears in the bottom. Click the icon labeled All apps in the bottom-right corner. (or you can simply search for the term ‘Uninstall’ from Start menu under Settings tab)STEP 2) The Apps menu opens. Scroll to the right and click Control Panel.STEP 3) The Control Panel opens. Click Uninstall a Program.STEP 4) The Programs and Features window opens. Click Turn Windows features on or off.STEP 5) The Windows Features window opens. Check the box labeled ‘.NET Framework 4.5 Advanced Services’ or ‘.NET Framework 4.6 Advanced Services’ and then click Ok.

    or

    STEP 6) You are notified that Windows completed the requested changes (see below). Click Close, and then restart your computer.

To run Customer Web Service sites

IIS web serverAll version of IIS starting version 5 or higher
.NET 3.5 or above on server

The windows server hosting the IIS should have .NET 3.5 or higher to enable
ASP.NET. Additionally, under the ASP tab in IIS manager, ASP.NET 2.0 should be
active.

Download .NET 3.5 Framework